<h1 align="center">
  <img src="images/logo.png" width="300" alt="Droid Notes">
<br>
Note list app built with Jetpack Compose
</h1>

<p align="center">
  <a href="https://github.com/mrcsxsiq/DroidNotes/stargazers">
    <img src="https://img.shields.io/badge/Say%20Thanks-👍-1EAEDB.svg" alt="Say thanks">
  </a>
</p>

## Download

Go to the [releases page](https://github.com/mrcsxsiq/DroidNotes/releases) to download the latest available apk.

## Screenshots

<p align="center">
  <img src="images/screenshots.png" > 
</p>


## Architecture
<p align="center">
  <img src="https://github.com/mrcsxsiq/DroidNotes/blob/master/images/mvvm.png" width="570">
</p>


## Features
<img src="https://github.com/mrcsxsiq/DroidNotes/blob/master/images/demo.gif" align="right" width="270"></img>
- [x] Home
- [x] Details
- [x] Add Note
- [x] Delete Note
- [x] Update Note
- [ ] Search
- [ ] Tags


## Development Roadmap

- [x] [Kotlin](https://kotlinlang.org/)
- [x] [Jetpack Compose](https://developer.android.com/jetpack/compose)
- [x] [LiveData](https://developer.android.com/topic/libraries/architecture/livedata)
- [x] [ViewModel](https://developer.android.com/topic/libraries/architecture/viewmodel)
- [x] [Room](https://developer.android.com/topic/libraries/architecture/room)
- [x] [Coroutines](https://developer.android.com/topic/libraries/architecture/coroutines)
- [x] [Gradle Kotlin DSL](https://docs.gradle.org/current/userguide/kotlin_dsl.html)
- [x] [Ktlint](https://ktlint.github.io/)
- [ ] GRPC API
- [ ] JUnit

## Mad Scorecard

<p align="center">
  <a href="https://madscorecard.withgoogle.com/scorecard/share/4199104634/">
    <img src="images/madscore.png"  > 
  </a>
</p>

## Find this project useful?

Support it by joining [stargazers](https://github.com/mrcsxsiq/DroidNotes/stargazers) for this repository

## Author

| [<img src="https://avatars3.githubusercontent.com/u/993608?s=115&v=4" width="48"><br><sub>@mrcsxsiq</sub>](https://github.com/mrcxsiq) |
| :---: |

## License

All the code available under the Apache license. See [LICENSE](LICENSE).

```
Copyright (c) 2021 Marcos Paulo Farias

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. 
```
